Skip to main content
Export Skill info
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/export/skills \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "limit": 200,
  "starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a"
}
'
{
  "records": [
    {
      "skill_id": "1b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4b1e",
      "skill_name": "Java Programming Language",
      "skill_description": "Java is a high-level programming language with an intuitive syntax and a versatile standard library.",
      "skill_source": "vocabulary",
      "inference_enabled": true,
      "default_skill_name": "Java Programming Language",
      "default_skill_description": "Java is a high-level programming language with an intuitive syntax and a versatile standard library.",
      "techwolf_domain": "Software Development",
      "taxonomy_domain_id": null,
      "taxonomy_domain_name": null,
      "taxonomy_skill_cluster_id": null,
      "taxonomy_skill_cluster_name": null
    },
    {
      "skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
      "skill_name": "Python Programming",
      "skill_description": "Python is a high-level programming language with an intuitive syntax and a versatile standard library.",
      "skill_source": "vocabulary",
      "inference_enabled": true,
      "default_skill_name": "Python Programming",
      "default_skill_description": "Python is a high-level programming language with an intuitive syntax and a versatile standard library.",
      "techwolf_domain": "Software Development",
      "taxonomy_domain_id": null,
      "taxonomy_domain_name": null,
      "taxonomy_skill_cluster_id": null,
      "taxonomy_skill_cluster_name": null
    }
  ],
  "has_next": true,
  "next_starting_after": "9b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4b1e"
}

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

vocab_language
enum<string>
default:en_uk

The display language used for Skill names and descriptions. Altering the vocabulary language does not change Skill attributes; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.

Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.

Available options:
en,
en_uk,
en_us,
de,
fr,
nl,
es,
fr_ca,
it,
ja,
ko,
pt_br,
zh_cn,
zh_tw,
sv,
fi,
da,
no
external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

include
enum<string>[]

Additional Skill info attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.

Available options:
properties,
default_skill_name,
default_skill_description,
inference_enabled,
business_relevant
Example:
["properties"]

Body

application/json
limit
integer
default:50000

The number of Skills to show on a single page.

Required range: 1 <= x <= 50000
Example:

200

starting_after
string

The universally unique ID of the Skill to continue looking from. This consists of alphanumeric characters, hyphens and underscores.

Maximum string length: 100
Example:

"4cbdbabe-5644-4423-8157-520f8a2f429a"

filters
object

List of filters to be applied on the Skills

Response

OK

has_next
boolean
required

True when there is more data after this page.

Example:

true

records
(No Taxonomy or 3-level Taxonomy · object | 4-level Taxonomy · object)[]

A list containing for every Skill in the system the available data, including descriptions and their location in the Taxonomy.

Default structure for Skill.

next_starting_after
string

The next starting_after value for pagination.

Maximum string length: 100
Example:

"9b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4b1e"